> For the complete documentation index, see [llms.txt](https://docs.healthsherpa.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/intake-form-api/intake-form-api-to-enrollment-application-flow.md).

# Intake Form API to Enrollment Application Flow

Agents can push intake form data directly into the [Intake form](https://intercom.help/healthsherpa/en/articles/12142986-intake-form). As the agent works on the application, they can click to copy blocks of data into the application. Agents must still verify the information and click Continue themselves. Intake form values are mapped as follows.

#### Client System Identifier <a href="#primary-contact" id="primary-contact"></a>

* `external_id`: An optional partner-defined reference identifier. HealthSherpa persists this value and returns it in all responses for this intake form, as well as including it in the agency exports. Use it to correlate HealthSherpa intake records with records in your own system, such as a CRM lead ID, without fuzzy matching.

#### Primary Contact <a href="#primary-contact" id="primary-contact"></a>

* `first_name`: Primary contact first name.
* `last_name`: Primary contact last name.

#### Home Address <a href="#home-address" id="home-address"></a>

* `address`: Primary contact street address.
* `address_2`: Primary contact unit number.
* `city`: Primary contact city.
* `state`: Primary contact state. This must use a USPS state abbreviation, such as `AZ` or `FL`.
* `zip`: Primary contact ZIP code.

#### Contact Details <a href="#contact-details" id="contact-details"></a>

* `email`: Primary contact email.
* `phone_number`: Primary contact phone number.

#### Who's Applying? <a href="#whos-applying" id="whos-applying"></a>

* `tax_household_members`: The family members listed in `tax_household_members`. If a tax household member is not applying, agents can choose not to copy them over. If relationship data is missing, we will assume the first person is the primary applicant. We will assume the second person is the spouse. We will assume that all other members are dependents.

#### Tax Household <a href="#tax-household" id="tax-household"></a>

* `tax_household_members`: Members listed in `tax_household_members` that agents did not include in the Who's Applying section.

#### Income <a href="#income" id="income"></a>

* `projected_income_members`: Income data from `projected_income_members`.

#### `providers` and `prescriptions`

* These fields are not persisted on the intake record and do not map to any enrollment form fields. They are used only to append provider NPI numbers and prescription drug data to the shopping\_url deeplink. If you include these fields on a create or update request, they will be reflected in the returned shopping\_url for that response only. They must be resent on every subsequent update if you want them to appear in future deeplinks.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.healthsherpa.com/on-exchange-api-documentation/api-reference/intake-form-api/intake-form-api-to-enrollment-application-flow.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
